## CamelMimeFilterWindows

CamelMimeFilterWindows

## Functions

CamelMimeFilter * | camel_mime_filter_windows_new ()
gboolean | camel_mime_filter_windows_is_windows_charset ()
const gchar * | camel_mime_filter_windows_real_charset ()

## Types and Values

struct | CamelMimeFilterWindows

## Object Hierarchy

        GObject
        ╰── CamelMimeFilter
            ╰── CamelMimeFilterWindows

## Description

## Functions

### camel_mime_filter_windows_new ()

    CamelMimeFilter *
    camel_mime_filter_windows_new (const gchar *claimed_charset);

Create a new CamelMimeFilterWindows object that will analyse whether or not the text is really encoded in `claimed_charset` .

#### Parameters

claimed_charset | ISO charset name |

#### Returns

a new CamelMimeFilter object

### camel_mime_filter_windows_is_windows_charset ()

    gboolean
    camel_mime_filter_windows_is_windows_charset
                                   (CamelMimeFilterWindows *filter);

Get whether or not the textual content filtered by `filter` is really in a Microsoft Windows charset rather than the claimed ISO charset.

#### Parameters

filter | a CamelMimeFilterWindows object |

#### Returns

`TRUE` if the text was found to be in a Microsoft Windows CP125x charset or `FALSE` otherwise.

### camel_mime_filter_windows_real_charset ()

    const gchar *
    camel_mime_filter_windows_real_charset
                                   (CamelMimeFilterWindows *filter);

Get the name of the actual charset used to encode the textual content filtered by `filter` (it will either be the original claimed_charset passed in at creation time or the Windows-CP125x equivalent).

#### Parameters

filter | a CamelMimeFilterWindows object |

#### Returns

the name of the actual charset

## Types and Values

### struct CamelMimeFilterWindows

    struct CamelMimeFilterWindows;